## org.eclipse.datatools.modelbase.sql.query
Interface OrderByResultColumn

All Superinterfaces:
  OrderBySpecification, SQLObject, SQLQueryObject

All Known Implementing Classes:
  OrderByResultColumnImpl

public interface OrderByResultColumn
extends OrderBySpecification

A representation of the model object 'Order By Result Column'.

The following features are supported:

- `Result Col`

See Also:
  `SQLQueryModelPackage.getOrderByResultColumn()`

Method Summary
`ResultColumn` `getResultCol()` Returns the value of the 'Result Col' reference.
`void` `setResultCol(ResultColumn value)` Sets the value of the '`Result Col`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.OrderBySpecification
`getNullOrderingOption, getOrderingSpecOption, getSelectStatement, isDescending, setDescending, setNullOrderingOption, setOrderingSpecOption, setSelectStatement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getResultCol

    public ResultColumn getResultCol()

  Returns the value of the 'Result Col' reference. It is bidirectional and its opposite is '`Order By Result Col`'.

  If the meaning of the 'Result Col' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Col' reference.
  See Also:
    `setResultCol(ResultColumn)`, `SQLQueryModelPackage.getOrderByResultColumn_ResultCol()`, `ResultColumn.getOrderByResultCol()`

### setResultCol

    public void setResultCol(ResultColumn value)

  Sets the value of the '`Result Col`' reference.

  Parameters:
    `value` - the new value of the 'Result Col' reference.
  See Also:
    `getResultCol()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.